Package org.eclipse.wst.xsl.core.model

## org.eclipse.wst.xsl.core.model
Class Parameter

    public class Parameter
    extends org.eclipse.wst.xsl.core.model.Variable

The `xsl:parameter` or `xsl:with-param` model element.

## Constructor Summary

`Parameter(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet)`

## Method Summary

`public java.lang.String` | `getAs()`
`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `getModelType()`
`public boolean` | `isValue()` Get whether this has a value.
`public void` | `setValue(boolean valueSet)` Set whether this has a value.

## Constructor Detail

## Parameter

`public Parameter(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet)`

Create a new instance of this.

## Methods Detail

## getAs

`public java.lang.String getAs()`

### Returns

`java.lang.String`

## getModelType

`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type getModelType()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLModelObject.Type`

## isValue

`public boolean isValue()`

Get whether this has a value.

### Returns

`boolean` - `true` if this has a value

## setValue

`public void setValue(boolean valueSet)`

Set whether this has a value.

### Parameters

`valueSet` - `true` if this has a value